Security Enhanced Linux Reference Policy

# Layer: admin

## Module: fapolicyd

Interfaces

### Description:

The fapolicyd software framework controls the execution of applications based on a user-defined policy. This is one of the most efficient ways to prevent running untrusted and possibly malicious applications on the system.

### Interfaces:

fapolicyd_admin( domain , role )

##### Summary

All of the rules required to administrate an fapolicyd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

fapolicyd_domtrans_cli( domain )

##### Summary

Execute fapolicyd-cli in the fapolicyc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fapolicyd_domtrans_fagenrules( domain )

##### Summary

Execute fagenrules in the fagenrules_t domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fapolicyd_mmap_read_config_files( domain )

##### Summary

Read fapolicyd config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fapolicyd_run_cli( domain , role )

##### Summary

Execute fapoliyd-cli in the fapolicyc domain, and allow the specified roles the fapolicyc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

fapolicyd_run_fagenrules( domain , role )

##### Summary

Execute fagenrules in the fagenrules domain, and allow the specified roles the fagenurles domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return